Create New User
1 min
POST
https://api.upstartcommerce.com/v1/user
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyCreateUserrequiredDescription
- emailAddressstring<email>requiredExampleDescriptionFormatemail
- idstring<uuid>DescriptionFormatuuid
- loginstringrequiredDescription
- namestringrequiredDescription
- passwordstring<password>requiredDescriptionFormatpasswordMin Length8
- phoneNumberstringDescription
- isPasswordAllowedbooleanDescription
- rolesmap<string, string[]>Description
- defaultstringrequired
- userRolesUserRolesExample
{ "tenant-name-1": { "roleIds": [ "catalog.mgmt" ], "sites": { "example-site-name-1": { "roleIds": [ "order.mgmt" ] }, "example-site-name-2": { "roleIds": [ "order.mgmt" ] } } }, "tenant-name-2": { "roleIds": [ "user.mgmt" ], "sites": { "example-site-name-1": { "roleIds": [] }, "example-site-name-2": { "roleIds": [ "inventory.mgmt" ] } } } }Description - tenantstringrequiredDescription
Responses
201
- UserSummaryDescription
- emailAddressstring<email>requiredExampleDescriptionFormatemail
- idstring<UUID>requiredDescriptionFormatUUID
- lockbooleanrequiredDescriptionDefaultfalse
- loginstringrequiredDescription
- namestringrequiredDescription
- userRolesUserRolesExample
{ "tenant-name-1": { "roleIds": [ "catalog.mgmt" ], "sites": { "example-site-name-1": { "roleIds": [ "order.mgmt" ] }, "example-site-name-2": { "roleIds": [ "order.mgmt" ] } } }, "tenant-name-2": { "roleIds": [ "user.mgmt" ], "sites": { "example-site-name-1": { "roleIds": [] }, "example-site-name-2": { "roleIds": [ "inventory.mgmt" ] } } } }Description - phoneNumberstringDescription
- registrationDatestring<date-time>DescriptionFormatdate-time
- tenantstringrequiredDescription
- isPasswordAllowedbooleanDescription
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring[]required
- reasonstring
401
- UnauthorizedErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ForbiddenErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- NotFoundErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
409
- ConflictErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- InternalServerErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/user \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data-raw '{
"emailAddress": "[email protected]",
"login": "",
"name": "",
"password": "",
"roles": "",
"tenant": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"emailAddress": "[email protected]",
"login": "",
"name": "",
"password": "",
"roles": "",
"tenant": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/user", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/user")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"emailAddress": "[email protected]",
"login": "",
"name": "",
"password": "",
"roles": "",
"tenant": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/user"
payload = json.dumps({
"emailAddress": "[email protected]",
"login": "",
"name": "",
"password": "",
"roles": "",
"tenant": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Success-user created.
{
"emailAddress": "[email protected]",
"id": "",
"lock": false,
"login": "",
"name": "",
"userRoles": {},
"phoneNumber": "",
"registrationDate": "",
"tenant": "",
"isPasswordAllowed": false
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": [
""
],
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}409
// The request conflicts with the current state of the resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}